RUNDEF Secao02

/*
CONTAR INDIVIDUOS SELECIONADOS DE UM DOMICILIO

Descrio do programa:
Se calcula uma varivel de domiclio como resultado da contagem do nmero de cnjuges 
dos chefes de domiclio (PESSOA.PARENT=2).
Uma frequencia simples da varivel mostra o resultado.

Nota:
Este programa tambm verifica a consistencia da base de dados.
O chefe deveria ter zero (0) ou no mais que um cnjuge. 
*/

DEFINE DOMICIL.NCONJUGE AS COUNT PESSOA
  FOR PESSOA.PARENT = 2

TABLE VERIF AS FREQUENCY OF DOMICIL.NCONJUGE

/*
Resultados:
	Categorias  Casos
	0            7009
	1            6910
	Total       13919
	
Comentrios:
No existem domiclios com mais de um cnjuje de chefe.
Porm, poderia existir algum caso em que exista um cnjuge no domiclio mas no exista o chefe.	
Para verificar isto, ver o programa em Secao03.
*/