RUNDEF Secao03

/*
VERIFICAR A EXISTENCIA DE CONJUGUES SEM CHEFES

Descrio do programa:
O programa utiliza os dois defines dos exemplos anteriores para contar chefes e cnjuges.
Uma tabela de cruzamento das duas variveis mostra os resultados.
*/

DEFINE DOMICIL.NCHEFES AS COUNT PESSOA
  FOR PESSOA.PARENT = 1

DEFINE DOMICIL.NCONJUGES AS COUNT PESSOA
  FOR PESSOA.PARENT = 2
  RANGE 0-10

TABLE VERIF2 AS FREQUENCY OF DOMICIL.NCHEFES BY DOMICIL.NCONJUGES

/*
Notas de programao:
1. Uma faixa arbitrria de 1-10 foi definida para a varivel DOMICIL.NCONJUGES. 
   A faixa  necessria para a varivel "coluna" da tabela VERIF2.
    possvel produzir uma frequencia da varivel sem definir faixa. Entretanto,
   num cruzamento, somente a primeira varivel pode estar sem faixa definida.
   
2. As clusulas FREQUENCY e CROSSTABS podem ser usadas como sinnimos, 
   o que significa que o que realmente define se o resultado  uma frequencia 
   ou um cruzamento  o nmero de BYs (mximo 5). 

Resultados
    NCHEFES  CONJUGES	
            0      1      Total
    0       2544   -       2544
    1       4465   6910   11375
    Total   7009   6910   13919
    
	
Comentarios:
No existem domiclios sem chefe mas com um cnjuge.
*/
