RUNDEF Secao04

/*
BUSCAR O MUNICIPIO COM A MAIOR PROPORCAO DE CRIANCAS ENTRE 0 E 5 ANOS
*/
  
DEFINE MUNIC.TOTPES AS COUNT PESSOA

DEFINE MUNIC.TOTCRIA AS COUNT PESSOA
  FOR PESSOA.IDADE < 6

DEFINE MUNIC.PROPCRIA
  AS 100 * (MUNIC.TOTCRIA / MUNIC.TOTPES)
  FOR MUNIC.TOTPES > 0
  TYPE REAL

TABLE VERIF AS AREALIST OF MUNIC, 
  MUNIC.NMUNIC, MUNIC.TOTPES, MUNIC.TOTCRIA, MUNIC.PROPCRIA
  
/*
Notas de programao:
1. As variveis a utilizar no esto disponveis na base de dados,
   elas devem ser calculadas dentro do programa. A populao total
   se calcula com uma contagem (COUNT) (ver a definio da varivel
   MUNIC.TOTPES), e o nmero de crianas se calcula de maneira similar,
   mas utilizando um filtro (ver a clusula FOR na definio da
   varivel MUNIC.TOTCRIA).
2. A proporo (ou percentagem) se calcula como a razo do nmero
   de crianas entre 0 e 5 anos dividido pela populao total, 
   multiplicado 100
   (ver a definio da varivel MUNIC.PROPCRIA).
3. O nmero de decimais se define em Preferncias, ou diretamente com
   a clusula do comando TABLE:
   TABLE...
      DECIMALS 3
4. A lista  produzida com o comando TABLE/AREALIST. Por favor observar
   que as clusulas AS e OF devem ser includas no comando. Alm disso, 
   o primeiro parmetro da clusula OF  o nvel de sada (uma
   entidade selecionvel) da lista de reas (AREALIST) (MUNIC no exemplo).
5. Para melhorar a tabela, tambm se mostran na lista os nomes de cada municpio.
   
Resultados:
	Cdigo	  Nome MUNIC     TOTPES  TOTCRIA  PROPCRIA
	5         Santa Maria     21728     2525     11,62
	6         Santiago         8969     1606     17,91
	7         Bolivar         14281     2050     14,36
	8         Marbella         3818      624     16,34
	9         Puerto Nuevo     3393      552     16,27

Comentrios:
1. Ao ver a lista, pode observar0se que o municipio com a maior proporo
   de crianas  o municpio 6 (Santiago).
2. Se a lista  muito grande,  possvel organiza-la, com um duplo clique
   na entrada do ndice de resultados correspondente  tabela, e depois,
   na nova janela aberta, clicar na coluna PROPCRIA e finalmente 
   um clique no boto Z-A da barra de ferramentas.
*/   
