RUNDEF Secao16

/*
CRIACAO DE UM INDICADOR
Proporo de domiclios com carros, por municpio

Descrio do programa:
Este programa cria uma varivel da disponibilidade de carros
por municpio, calculando o nmero de domiclios que declaram ter
um carro, e dividindo pelo nmero de domiclios no municpio.
*/

DEFINE MUNIC.NDOM AS COUNT DOMICIL
   VARLABEL "Total hogares"

DEFINE MUNIC.NCARROS AS COUNT DOMICIL
  FOR DOMICIL.CARRO = 1
  VARLABEL "Domiclios com carro"
  
DEFINE MUNIC.PERC
  AS 100 * (MUNIC.NCARROS / MUNIC.NDOM)
  TYPE REAL
  VARLABEL "Percentagem que tm carro"
  DECIMALS 1
 
TABLE VERIF AS AREALIST OF MUNIC, MUNIC.NMUNIC,
  MUNIC.NCARROS, MUNIC.NDOM, MUNIC.PERC
  DECIMALS 1

/*
Notas de programao:
1. A opo TOTAL no deveria ser usada aqu, j que a lista inclui uma
   percentagem (a ltima coluna) que no pode ser somada. O TOTAL poderia
   ser usado se o valor da ltima coluna  desprezado.
   
Resultados:
Cdigo Nome do municpio Domiclios com carro  Total domiclios  Percentagem que tm carro
5      Santa Maria         747                      5311         14,1
6      Santiago            126                      1975         6,4
7      Bolivar             375                      3299         11,4
8      Marbella            142                      1959         7,2
9      Puerto Nuevo        74                       1375         5,4

Comentrios:
1. O municpio com a maior proporo de domiclios com carro  Santa Mara.
*/
