RUNDEF Seccao19
   FOR DOMICIL.TIPO = 1

/*
CALCULAR A MEDIA DE PESSOAS POR DOMICILIO

Descrio do programa:
Este programa gera uma lista de reas com a mdia
de pessoas por domiclio em cada rea.
*/

DEFINE MUNIC.NPESS AS COUNT PESSOA

DEFINE MUNIC.NDOM AS COUNT DOMICIL

DEFINE MUNIC.RAZAO AS MUNIC.NPESS / MUNIC.NDOM
  TYPE REAL
  FOR MUNIC.NDOM <> 0
  DECIMALS 2
    
TABLE VERIF AS AREALIST OF MUNIC, MUNIC.NMUNIC,
  MUNIC.NPESS, MUNIC.NDOM, MUNIC.RAZAO
  DECIMALS 2

/*
Notas de programao:
1. Este tipo de indicador  significativo somente para 
   domiclios particulares, e essa  a razo para o
   filtro no comando RUNDEF.
   
Resultados:
Cdigo  Nome do Municipio    NPESS   NDOM   RAZAO
5       Santa Maria          21432   5290    4,05
6       Santiago              8581   1959    4,38
7       Bolivar              14135   3285    4,30
8       Marbella              3771   1941    1,95
9       Puerto Nuevo          3376   1366    2,47

Comentrios:
1. O municpio de Marbella tem a mdia mais baixa, 1,95.
*/
